Mediawiki Extensions

From wiki.skylinesolutions.org
Jump to navigation Jump to search

Collapsible Vector[edit | edit source]

Installation[edit | edit source]

  • Download and place the file(s) in a directory called CollapsibleVector in your extensions/ folder.
  • Add the following code at the bottom of your LocalSettings.php:

wfLoadExtension( 'CollapsibleVector' );

  • Yes Done – Navigate to Special:Version on your wiki to verify that the extension is successfully installed.


Note: To users running MediaWiki 1.24 or earlier:

The instructions above describe the new way of installing this extension using wfLoadExtension(). If you need to install this extension on these earlier versions (MediaWiki 1.24 and earlier), instead of wfLoadExtension( 'CollapsibleVector' );, you need to use:

require_once "$IP/extensions/CollapsibleVector/CollapsibleVector.php";

Features[edit | edit source]

CollapsibleNav[edit | edit source]

Make the sections in the left navigation collapsible/expandable.

Enabled by default. Set false to disable CollapsibleNav globally.

$wgCollapsibleVectorFeatures['collapsiblenav']['global'] = false;

Allow users to enable CollapsibleNav in their preferences.

$wgCollapsibleVectorFeatures['collapsiblenav']['user'] = true;